{{- if .Values.additionalSSLCert.enabled }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.additionalSSLCert.name }}
  labels:
    app: {{ include "helm-template.name" . }}
    chart: {{ include "helm-template.chart" . }}
type: kubernetes.io/tls
data:
  {{- if .Values.additionalSSLCert.tls }}
  tls.crt: {{ .Values.additionalSSLCert.tls.crt }}
  tls.key: {{ .Values.additionalSSLCert.tls.key }}
  {{- end }}
{{- end }}